karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (Work started) (JIRA) <j...@apache.org>
Subject [jira] [Work started] (KARAF-971) Add support for version ranges in features descriptor <repository/> element
Date Mon, 12 Dec 2011 11:48:30 GMT

     [ https://issues.apache.org/jira/browse/KARAF-971?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Work on KARAF-971 started by Jean-Baptiste Onofré.

> Add support for version ranges in features descriptor <repository/> element
> ---------------------------------------------------------------------------
>
>                 Key: KARAF-971
>                 URL: https://issues.apache.org/jira/browse/KARAF-971
>             Project: Karaf
>          Issue Type: Improvement
>    Affects Versions: 2.2.4
>            Reporter: Gert Vanthienen
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 2.2.5, 3.0.0
>
>
> Some features include a <repository/> element to refer to another feature descriptor.
 For example: http://search.maven.org/remotecontent?filepath=org/apache/camel/karaf/apache-camel/2.8.2/apache-camel-2.8.2-features.xml
contains a reference to the CXF features descriptor. 
> For referring to the cxf feature, it already uses a version range [2.4, 2.6) and if you
put the same version range on the repository element URL, it would just get resolved by Pax
Url Maven support.  
> It would be good if the features service would first check for a matching features descriptor
- if there's already a matching descriptor installed, it could just use the existing and skip/ignore
the repository resolution.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

Mime
View raw message